[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| StandardConstAccessor< VALUETYPE > Class Template Reference Data Accessors |

Encapsulate read access to the values an iterator points to. More...

`#include <vigra/accessor.hxx>`

List of all members.

## Public Member Functions
template<class ITERATOR >
VALUETYPE const & | operator() (ITERATOR const &i) const
template<class ITERATOR , class DIFFERENCE >
VALUETYPE const & | operator() (ITERATOR const &i, DIFFERENCE const &diff) const

## Detailed Description

### template<class VALUETYPE>
class vigra::StandardConstAccessor< VALUETYPE >

Encapsulate read access to the values an iterator points to.

StandardConstAccessor is a trivial accessor that simply encapsulates the iterator's operator*() and operator[]() in its read functions. It passes its arguments by reference. If the iterator returns its items by value (such as vigra::CoordinateIterator), you must use StandardConstValueAccessor instead of StandardConstAccessor. Both accessors also have different optimization properties -- StandardConstAccessor is usually faster for compound pixel types, while StandardConstValueAccessor is faster for the built-in types.

#include <vigra/accessor.hxx>
Namespace: vigra

## Member Function Documentation

VALUETYPE const& operator() | ( | ITERATOR const & | i | ) | const

read the current data item

VALUETYPE const& operator() | ( | ITERATOR const & | i,
|  | DIFFERENCE const & | diff
| ) |  | const

read the data item at an offset (can be 1D or 2D or higher order difference).

The documentation for this class was generated from the following file:

- vigra/accessor.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)